Page 1 of 2 12 LastLast
Results 1 to 10 of 20

Thread: Neuros Recorder 2 incompatible with PSP 2.7 firmware

                  
   
  1. #1
    Won Hung Lo wraggster's Avatar
    Join Date
    Apr 2003
    Location
    Nottingham, England
    Age
    46
    Posts
    122,883
    Blog Entries
    3209
    Rep Power
    50

    psp Neuros Recorder 2 incompatible with PSP 2.7 firmware

    Via Engadget

    Bad news for PSP owners: Macworld is reporting that the recent 2.7 firmware update makes it impossible for the handheld console to play content captured by the Neuros 2 Recorder. Even worse, files that you had previously recording using your Memory Stick-equipped Neuros will no longer work once you upgrade to 2.7. For now, Neuros is taking a three-pronged approach to the problem: they're working on a firmware update of their own for the Recorder 2, attempting to convince Sony to adjust their code in future upgrades, and, least helpfully, recommending that their customers avoid making the move to 2.7. Also, the company claims to be working on a solution that, at the very least, will allow those folks who insist on upgrading to convert their old recordings into a 2.7-friendly format.

  2. #2
    PSP Flash Coder Shilo's Avatar
    Join Date
    Mar 2006
    Location
    Toad Town
    Age
    26
    Posts
    817
    Rep Power
    46

    Default

    Just one more reason not to upgrade to 2.7!

    It takes thousands of nuts to hold a car together, but it takes only one to shatter it across the highway

    Duct Tape is like the force. It has a light and dark side, and it holds the world together

    Click here to play my other Flash games and movies!

  3. #3
    DCEmu Old Pro bah's Avatar
    Join Date
    Dec 2005
    Location
    Australia
    Age
    34
    Posts
    1,669
    Rep Power
    53

    Default

    Anyone know if this is a DRM issue or somthing else?

    I havnt heard any reports of self converted files not working (PSPVideo9 or similar).

    MythTV, its a good thing.

  4. #4
    DCEmu Old Pro SSaxdude's Avatar
    Join Date
    Dec 2005
    Location
    Suburbia, IL
    Posts
    1,928
    Rep Power
    55

    Default

    Yeah, why would Sony adjust their code to make those files incompatible with 2.7? Are they losing money because of this? Well, just another reason why 2.7 is a joke (and 1.51 and above.)

  5. #5
    PSP User Emeriastone's Avatar
    Join Date
    Feb 2006
    Location
    MO, USA
    Posts
    612
    Rep Power
    45

    Default

    Am I allowed to laugh??

  6. #6
    DCEmu Rookie
    Join Date
    Nov 2005
    Posts
    105
    Rep Power
    44

    Default

    i never even thought about upgrading but,

    the whole point of buying this is to save time by not converting video. i could already record tv on my computer but the conversion time annoyed the hell out of me.

    it won't bother me but it's sad for people who want to upgrade and play new games.

  7. #7
    Banned Voltron's Avatar
    Join Date
    Nov 2005
    Location
    United States
    Posts
    857
    Rep Power
    0

    Thumbs down Don't Upgrade!

    Well this sucks. I can't stand when firmware upgrades ruin certain capabilities of a device. Especially one as expensive as the PSP. Apple finally fixed it with a recent firmware upgrade but Apples first update for the new iPod caused videos to freeze after 30 seconds and then resume with no sound. This was not corrected for more than 2 months. Unacceptable. And so is this.

    Quote Originally Posted by kayhanbakid
    It's sad for people who want to upgrade and play new games.
    Most new games now work on 1.50 firmware - My PSP is using 1.50 firmware and I am now enjoying Siphon Filter, Lemmings, Gradius Portable, Generation of Chaos, Ys Ark of Napishtim, Worms, 007, & many more 2.50 - 2.60 games.

    NOBODY UPGRADE to 2.70 - Not worth it.

    1.5 its alive!

  8. #8
    DCEmu Legend Video_freak's Avatar
    Join Date
    Dec 2005
    Location
    Bay Area, California
    Posts
    2,892
    Rep Power
    80

    Default

    Quote Originally Posted by SSaxdude
    Well, just another reason why 2.7 is a joke (and 1.51 and above.)
    I think 2.0 is the best, because you get more video codecs and the web browser. Plus, you can downgrade anytime good homebrew comes out (unless you use the eboot Loader).

    BTW, i think this is completely hilarious (unless you own the product)

  9. #9
    DCEmu Regular John Vattic's Avatar
    Join Date
    Nov 2005
    Posts
    393
    Rep Power
    45

    Default

    lmao!
    man this is aweful!

    so like sony is breaking stuff thats not even of their own manufacture!

    thats like if $ony had a firmware update that destroys my logitech playger pocket case!
    what's next a firmware that renders sandisk pro duos useless?

    talk about crapping on your customers!

    sorry but those of you who update past 2.60 are silly!
    besides are there even any 2.70 games out yet?

    and shame on you $ony. do you hear it? hey $ony can you hear the sound of a few million gamers saying f*** this i'm gettin a ds?

  10. #10
    Reviews Webmaster/Reviewer bandit's Avatar
    Join Date
    Oct 2005
    Location
    New York City, USA
    Posts
    3,001
    Rep Power
    50

    Default

    Neuros is in talks with Sony. They hope Sony will help them fix the problem. If there is a fix available, all current owners will be able to get the fix. I'll keep you posted as I have reviewed the Neuros MPEG Recorder 2 (http://reviews.dcemu.co.uk)

Page 1 of 2 12 LastLast

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •